Subject: Re: [PATCH net 2/3] bonding:check mode when modify primary_reselect

From: Jay Vosburgh <[email-masked]>
Date: Mon, 11 Jun 2012 14:28:14 -0700

Nicolas de Pesloüan <[email-masked]> wrote:

>Le 11/06/2012 22:56, Jay Vosburgh a écrit :
>> Nicolas de Pesloüan 	<[email-masked]>  wrote:
[...]
>>> May I suggest we only issue a warning, store the new value for
>>> primary_reselect, and avoid calling bond_select_active_slave(bond), if
>>> !USE_PRIMARY(bond->params.mode)?
>>>
>>> That way, we do not add one more constraint on the order one must write into sysfs.
>>
>> 	I'm not in favor of changing anything here.  There's already a
>> message that primary_reselect is being changed, I think that's
>> sufficient.  The other similar cases don't issue warnings, e.g., setting
>> xmit_hash_policy doesn't complain if the mode is not one that utilizes
>> the hash.
>
>Agreed. Calling bond_select_active_slave(bond) looks safe, even for mode
>that does not use primary, so we don't need to change anything.
>
>Would you support other patch similar to 1/3 in this thread, that try to
>relax the order to write into sysfs for bonding?

	Yes.  As long as the setting takes effect when it should, I see
no problem with permitting options that are currently not applicable to
be changed at any time.

	-J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]